org.apache.catalina.ant.jmx

## Class JMXAccessorSetTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.jmx.JMXAccessorTask
        - - org.apache.catalina.ant.jmx.JMXAccessorSetTask

- All Implemented Interfaces:
    Cloneable

      public class JMXAccessorSetTask
      extends JMXAccessorTask

  Access JMX JSR 160 MBeans Server.
  - Get Mbeans attributes
  - Show Get result as Ant console log
  - Bind Get result as Ant properties

  Examples: Set a Mbean Manager attribute maxActiveSessions. Set this attribute with fresh jmx connection without save reference

         <jmx:set
                 host="127.0.0.1"
                 port="9014"
                 ref=""
                 name="Catalina:type=Manager,context="/ClusterTest",host=localhost"
                 attribute="maxActiveSessions"
                 value="100"
                 type="int"
                 echo="false">
             />

  First call to a remote MBeanserver save the JMXConnection a referenz jmx.server

  These tasks require Ant 1.6 or later interface.
  Since:
    5.5.10
  Author:
    Peter Rossbach

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

      `JMX_SERVICE_PREFIX, JMX_SERVICE_SUFFIX`

    - ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXAccessorSetTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute()`
    `String` | `getInfo()` Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.
    `protected String` | `getMBeanAttributeType(MBeanServerConnection jmxServerConnection, String name, String attribute)` Get MBean Attribute from Mbean Server
    `String` | `getType()`
    `String` | `getValue()`
    `boolean` | `isConvert()`
    `String` | `jmxExecute(MBeanServerConnection jmxServerConnection)` Execute the specified command, based on the configured properties.
    `protected String` | `jmxSet(MBeanServerConnection jmxServerConnection, String name)`
    `void` | `setAttribute(String attribute)`
    `void` | `setConvert(boolean convert)`
    `void` | `setType(String valueType)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

      `accessJMXConnection, convertStringToType, createJMXConnection, createProperty, createProperty, echoResult, execute, getDelimiter, getHost, getIf, getJMXConnection, getName, getPassword, getPort, getProperty, getRef, getResultproperty, getUnless, getUrl, getUsername, isEcho, isSeparatearrayresults, isUseRef, setDelimiter, setEcho, setHost, setIf, setName, setPassword, setPort, setProperty, setRef, setResultproperty, setSeparatearrayresults, setUnless, setUrl, setUsername, testIfCondition, testUnlessCondition`

    - ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXAccessorSetTask

          public JMXAccessorSetTask()

  - ### Method Detail

    - #### getInfo

          public String getInfo()

      Return descriptive information about this implementation and the corresponding version number, in the format `<description>/<version>`.
      Overrides:
        `getInfo` in class `JMXAccessorTask`

    - #### getAttribute

          public String getAttribute()

      Returns:
        Returns the attribute.

    - #### setAttribute

          public void setAttribute(String attribute)

      Parameters:
        `attribute` - The attribute to set.

    - #### getValue

          public String getValue()

      Returns:
        Returns the value.

    - #### setValue

          public void setValue(String value)

      Parameters:
        `value` - The value to set.

    - #### getType

          public String getType()

      Returns:
        Returns the type.

    - #### setType

          public void setType(String valueType)

      Parameters:
        `valueType` - The type to set.

    - #### isConvert

          public boolean isConvert()

      Returns:
        Returns the convert.

    - #### setConvert

          public void setConvert(boolean convert)

      Parameters:
        `convert` - The convert to set.

    - #### jmxExecute

          public String jmxExecute(MBeanServerConnection jmxServerConnection)
                            throws Exception

      Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.
      Overrides:
        `jmxExecute` in class `JMXAccessorTask`
      Throws:
        `Exception` - if an error occurs

    - #### jmxSet

          protected String jmxSet(MBeanServerConnection jmxServerConnection,
                      String name)
                           throws Exception

      Parameters:
        `jmxServerConnection` -
        `name` -
      Throws:
        `Exception`

    - #### getMBeanAttributeType

          protected String getMBeanAttributeType(MBeanServerConnection jmxServerConnection,
                                     String name,
                                     String attribute)
                                          throws Exception

      Get MBean Attribute from Mbean Server
      Parameters:
        `jmxServerConnection` -
        `name` -
        `attribute` -
      Returns:
        The type
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.